<%@ Page Language="C#" %>

<%@ Import Namespace="Unibas.Aci.Modello" %>
<%@ Import Namespace="Unibas.Aci.Persistenza" %>

<%
    string nomeUtente = Request["nomeUtente"];
    string password = Request["password"];

    if (nomeUtente == null || password == null) {
        Context.Items["messaggio"] = "La pagina richiesta non &egrave; accessibile";
        Server.Transfer("default.aspx");
        return;
    }
    Utente utente = DAOUtente.DoSelectNomeUtente(nomeUtente);
    if (utente == null) {
        Context.Items["messaggio"] = "Il nome utente non esiste";
        Server.Transfer("default.aspx");
        return;
    }
    utente.Verifica(password);
    if (!utente.Autenticato) {
        Context.Items["messaggio"] = "Password Errata";
        Server.Transfer("default.aspx");
        return;
    }
    string ruolo = utente.Ruolo;
    if (!ruolo.Equals("utente") && !ruolo.Equals("amministratore")) {
        Context.Items["messaggio"] = "Utente non autorizzato all'accesso";
        Server.Transfer("default.aspx");
        return;
    }
    Session["utente"] = utente;
    if (ruolo.Equals("utente")) {
        Server.Transfer("schermoInizialeUtente.aspx");
        return;
    } else if (ruolo.Equals("amministratore")) {
        Server.Transfer("schermoInizialeAmministratore.aspx");
        return;    
    }
%>
