<%@ Page Language="C#" %>

<%@ Import Namespace="Unibas.Aci.Modello" %>

<%
    Utente utente = (Utente)Session["utente"];
    if (utente == null || !utente.Autenticato || !utente.Ruolo.Equals("utente")) {
        Context.Items["messaggio"] = "Autorizzazione fallita";
        Server.Transfer("default.aspx");
        return;
    }

    Response.AddHeader("Cache-Control", "no-cache");
    Response.AddHeader("Pragma", "no-cache");
    Response.AddHeader("Expires", DateTime.Now + "");

%>

<!-- #include file="intestazione.aspx" -->

<h2>Utente: <% Response.Write(utente.Nome); %></h2>

<p><strong>Scegli l'operazione da effettuare: </strong></p>

<form method="post" action="schermoStampaElenco.aspx">
<ul>
<li><p><input type="submit" value="Operazione 1" /> Stampa elenco proprietari e automobili</p>
</li>
</ul>
</form>

<form method="post" action="schermoUscita.aspx">
<p><input type="submit" value="Esci" /></p>
</form>

<!-- #include file="pieDiPagina.aspx" -->
