namespace Unibas.Aci.Persistenza {

using System.Data;
using System.Data.SqlClient;
using System.Collections;
using Unibas.Aci.Modello;

public class DAOUtente {

    public static Utente DoSelectNomeUtente(string nomeUtente) {
        DataSource dataSource = DataSource.GetInstance();
        IDbConnection connection = null;
        IDbCommand command = null;
        IDataReader dataReader = null;
        Utente utente = null;
        try {
            connection = dataSource.GetConnection();
            command = connection.CreateCommand();
            string query = "select * from utenti where nomeutente = @nomeutente";
            command.CommandText = query;
            SqlParameter parametro = new SqlParameter();
            parametro.ParameterName = "@nomeutente";
            parametro.SqlDbType = SqlDbType.VarChar;
            parametro.Size = 10;
            command.Parameters.Add(parametro);
            command.Prepare();
            ((SqlParameter)command.Parameters["@nomeutente"]).Value = nomeUtente;
            dataReader = command.ExecuteReader();
            if (dataReader.Read()) {
                utente = new Utente();
                utente.NomeUtente = (string)dataReader["nomeutente"];
                utente.Password = (string)dataReader["password"];
                utente.Ruolo = (string)dataReader["ruolo"];
                utente.Nome = (string)dataReader["nome"];
            }
        } catch (System.Exception sqle) {
            throw new DAOException("DoSelectNomeUtente: " + sqle);
        } finally {
            dataSource.Close(dataReader);
            dataSource.Close(connection);
        }
        return utente;
    }

}

}
