namespace Unibas.Aci.Test {

using NUnit.Framework;
using Unibas.Aci.Persistenza;

[TestFixture]
public class TestDataSource {
         
    private DataSource dataSource;
    
    [SetUp]
    public void SetUp() {
        dataSource = DataSource.GetInstance();
    }
    
    [Test]
    public void TestGetConnection() {
        Assert.IsNotNull(dataSource, "data source non nulla");
        System.Data.IDbConnection connection = null;
        try {
            connection = dataSource.GetConnection();
            Assert.IsNotNull(connection, "connessione non nulla");     
        } catch (DAOException sqle) {
            System.Console.WriteLine(sqle);
            Assert.Fail();
        } finally {
            dataSource.Close(connection);
        }
    }
}

}
